%define name boost-jam
%define version 3.1
%define release 3mdk
%define prefix %{_prefix}

Name:		%{name}
Summary:	Build tool for Boost libraries
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.src.tar.bz2
License: 	GPL
Group: 		Development/Other
URL: 		http://www.boost.org
Buildrequires:	byacc
BuildRoot: 	%{_tmppath}/%{name}-%{version}
BuildRequires:	byacc

%description
Boost Jam is a build tool based on FTJam, which in turn is based on 
Perforce Jam. It contains significant improvements made to facilitate
its use in the Boost Build System, but should be backward compatible 
with Perforce Jam.

Authors:
	Perforce Jam : Cristopher Seiwald
	FT Jam       : David Turner
	Boost Jam    : David Abrahams

%prep
%setup -q -n boost-jam-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/boost-jam
install -m 755 bin.linux*/jam $RPM_BUILD_ROOT%{_bindir}/jam
ln -sf jam $RPM_BUILD_ROOT%{_bindir}/bjam

%files
%defattr(-,root,root)
%doc Jam.html Jambase.html Jamfile.html README RELNOTES
%{_bindir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 29 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1-3mdk
- Fix build on real arches

* Sun Apr 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-2mdk
- adjust buildrequires

* Tue Mar 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.1-1mdk
- from andi payn <payn@myrealbox.com> :
	- Mandrakization of original RPM by Vladimir Prus <ghost@cs.msu.su>
